Package org.jboss.resteasy.security.doseta

## Class VerificationResult

- java.lang.Object
- - org.jboss.resteasy.security.doseta.VerificationResult

-     public class VerificationResult
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Exception` | `failureException` |
    `protected DKIMSignature` | `signature` |
    `protected boolean` | `verified` |
    `protected javax.ws.rs.core.MultivaluedMap<String,​String>` | `verifiedHeaders` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VerificationResult()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Exception` | `getFailureException()` |
    `DKIMSignature` | `getSignature()` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getVerifiedHeaders()` |
    `boolean` | `isVerified()` |
    `void` | `setFailureException​(Exception failureException)` |
    `void` | `setSignature​(DKIMSignature signature)` |
    `void` | `setVerified​(boolean verified)` |
    `void` | `setVerifiedHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> verifiedHeaders)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### verified

          protected boolean verified

    - #### failureException

          protected Exception failureException

    - #### signature

          protected DKIMSignature signature

    - #### verifiedHeaders

          protected javax.ws.rs.core.MultivaluedMap<String,​String> verifiedHeaders

  - ### Constructor Detail

    - #### VerificationResult

          public VerificationResult()

  - ### Method Detail

    - #### isVerified

          public boolean isVerified()

    - #### setVerified

          public void setVerified​(boolean verified)

    - #### getFailureException

          public Exception getFailureException()

    - #### setFailureException

          public void setFailureException​(Exception failureException)

    - #### getSignature

          public DKIMSignature getSignature()

    - #### setSignature

          public void setSignature​(DKIMSignature signature)

    - #### getVerifiedHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​String> getVerifiedHeaders()

    - #### setVerifiedHeaders

          public void setVerifiedHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> verifiedHeaders)